diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/reduced-neighbor-report.h ns-3.44/src/wifi/model/reduced-neighbor-report.h
--- ns-3.43/src/wifi/model/reduced-neighbor-report.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/reduced-neighbor-report.h	2025-03-09 16:55:49.799372700 -0700
@@ -21,8 +21,8 @@
 class WifiPhyOperatingChannel;
 
 /**
- * \brief The Reduced Neighbor Report element
- * \ingroup wifi
+ * @brief The Reduced Neighbor Report element
+ * @ingroup wifi
  *
  * This class knows how to serialise and deserialise the Reduced Neighbor Report element.
  */
@@ -34,9 +34,11 @@
      */
     struct MldParameters
     {
-        uint8_t mldId;                //!< MLD ID
-        uint8_t linkId;               //!< Link ID
+        uint8_t apMldId;              //!< AP MLD ID
+        uint8_t linkId : 4;           //!< Link ID
         uint8_t bssParamsChangeCount; //!< BSS Parameters Change Count
+        uint8_t allUpdates : 1;       ///< All Updates Included
+        uint8_t disabledLink : 1;     ///< Disabled Link Indication
     };
 
     /**
@@ -44,12 +46,12 @@
      */
     struct TbttInformation
     {
-        uint8_t neighborApTbttOffset{0};      //!< Neighbor AP TBTT Offset
-        Mac48Address bssid;                   //!< BSSID (optional)
-        uint32_t shortSsid{0};                //!< Short SSID (optional)
-        uint8_t bssParameters{0};             //!< BSS parameters (optional)
-        uint8_t psd20MHz{0};                  //!< 20 MHz PSD (optional)
-        MldParameters mldParameters{0, 0, 0}; //!< MLD Parameters (optional)
+        uint8_t neighborApTbttOffset{0}; //!< Neighbor AP TBTT Offset
+        Mac48Address bssid;              //!< BSSID (optional)
+        uint32_t shortSsid{0};           //!< Short SSID (optional)
+        uint8_t bssParameters{0};        //!< BSS parameters (optional)
+        uint8_t psd20MHz{0};             //!< 20 MHz PSD (optional)
+        MldParameters mldParameters{};   //!< MLD Parameters (optional)
     };
 
     /**
@@ -94,7 +96,7 @@
     /**
      * Get the number of Neighbor AP Information fields
      *
-     * \return the number of Neighbor AP Information fields
+     * @return the number of Neighbor AP Information fields
      */
     std::size_t GetNNbrApInfoFields() const;
     /**
@@ -106,16 +108,16 @@
      * Set the Operating Class and the Channel Number fields of the given
      * Neighbor AP Information field based on the given operating channel.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \param channel the PHY operating channel
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param channel the PHY operating channel
      */
     void SetOperatingChannel(std::size_t nbrApInfoId, const WifiPhyOperatingChannel& channel);
     /**
      * Get the operating channel coded into the Operating Class and the Channel Number
      * fields of the given Neighbor AP Information field.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \return the PHY operating channel
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @return the PHY operating channel
      */
     WifiPhyOperatingChannel GetOperatingChannel(std::size_t nbrApInfoId) const;
 
@@ -123,15 +125,15 @@
      * Get the number of TBTT Information fields included in the TBTT Information Set
      * field of the given Neighbor AP Information field
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \return the number of TBTT Information fields
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @return the number of TBTT Information fields
      */
     std::size_t GetNTbttInformationFields(std::size_t nbrApInfoId) const;
     /**
      * Add a TBTT Information fields to the TBTT Information Set field
      * of the given Neighbor AP Information field
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
      */
     void AddTbttInformationField(std::size_t nbrApInfoId);
 
@@ -139,26 +141,26 @@
      * Set the BSSID field of the <i>i</i>-th TBTT Information field of the given
      * Neighbor AP Information field
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \param index the index of the given TBTT Information field
-     * \param bssid the BSSID value
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param index the index of the given TBTT Information field
+     * @param bssid the BSSID value
      */
     void SetBssid(std::size_t nbrApInfoId, std::size_t index, Mac48Address bssid);
     /**
      * Return true if the BSSID field is present in all the TBTT Information fields
      * of the given Neighbor AP Information field.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \return true if the BSSID field is present
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @return true if the BSSID field is present
      */
     bool HasBssid(std::size_t nbrApInfoId) const;
     /**
      * Get the BSSID field (must be present) in the <i>i</i>-th TBTT Information field
      * of the given Neighbor AP Information field.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \param index the index of the given TBTT Information field
-     * \return the BSSID field
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param index the index of the given TBTT Information field
+     * @return the BSSID field
      */
     Mac48Address GetBssid(std::size_t nbrApInfoId, std::size_t index) const;
 
@@ -166,26 +168,26 @@
      * Set the Short SSID field of the <i>i</i>-th TBTT Information field of the given
      * Neighbor AP Information field
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \param index the index of the given TBTT Information field
-     * \param shortSsid the short SSID value
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param index the index of the given TBTT Information field
+     * @param shortSsid the short SSID value
      */
     void SetShortSsid(std::size_t nbrApInfoId, std::size_t index, uint32_t shortSsid);
     /**
      * Return true if the Short SSID field is present in all the TBTT Information fields
      * of the given Neighbor AP Information field.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \return true if the Short SSID field is present
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @return true if the Short SSID field is present
      */
     bool HasShortSsid(std::size_t nbrApInfoId) const;
     /**
      * Get the Short SSID field (must be present) in the <i>i</i>-th TBTT Information field
      * of the given Neighbor AP Information field.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \param index the index of the given TBTT Information field
-     * \return the Short SSID field
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param index the index of the given TBTT Information field
+     * @return the Short SSID field
      */
     uint32_t GetShortSsid(std::size_t nbrApInfoId, std::size_t index) const;
 
@@ -193,26 +195,26 @@
      * Set the BSS Parameters field of the <i>i</i>-th TBTT Information field of the given
      * Neighbor AP Information field
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \param index the index of the given TBTT Information field
-     * \param bssParameters the BSS Parameters value
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param index the index of the given TBTT Information field
+     * @param bssParameters the BSS Parameters value
      */
     void SetBssParameters(std::size_t nbrApInfoId, std::size_t index, uint8_t bssParameters);
     /**
      * Return true if the BSS Parameters field is present in all the TBTT Information fields
      * of the given Neighbor AP Information field.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \return true if the BSS Parameters field is present
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @return true if the BSS Parameters field is present
      */
     bool HasBssParameters(std::size_t nbrApInfoId) const;
     /**
      * Get the BSS Parameters field (must be present) in the <i>i</i>-th TBTT Information field
      * of the given Neighbor AP Information field.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \param index the index of the given TBTT Information field
-     * \return the BSS Parameters field
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param index the index of the given TBTT Information field
+     * @return the BSS Parameters field
      */
     uint8_t GetBssParameters(std::size_t nbrApInfoId, std::size_t index) const;
 
@@ -220,26 +222,26 @@
      * Set the 20 MHz PSD field of the <i>i</i>-th TBTT Information field of the given
      * Neighbor AP Information field
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \param index the index of the given TBTT Information field
-     * \param psd20MHz the 20 MHz PSD value
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param index the index of the given TBTT Information field
+     * @param psd20MHz the 20 MHz PSD value
      */
     void SetPsd20MHz(std::size_t nbrApInfoId, std::size_t index, uint8_t psd20MHz);
     /**
      * Return true if the 20 MHz PSD field is present in all the TBTT Information fields
      * of the given Neighbor AP Information field.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \return true if the 20 MHz PSD field is present
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @return true if the 20 MHz PSD field is present
      */
     bool HasPsd20MHz(std::size_t nbrApInfoId) const;
     /**
      * Get the 20 MHz PSD field (must be present) in the <i>i</i>-th TBTT Information field
      * of the given Neighbor AP Information field.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \param index the index of the given TBTT Information field
-     * \return the 20 MHz PSD field
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param index the index of the given TBTT Information field
+     * @return the 20 MHz PSD field
      */
     uint8_t GetPsd20MHz(std::size_t nbrApInfoId, std::size_t index) const;
 
@@ -247,43 +249,30 @@
      * Set the MLD Parameters subfield of the <i>i</i>-th TBTT Information field of the given
      * Neighbor AP Information field
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \param index the index of the given TBTT Information field
-     * \param mldId the MLD ID value
-     * \param linkId the Link ID value
-     * \param changeSequence the Change Sequence value
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param index the index of the given TBTT Information field
+     * @param mldParams the MLD parameters
      */
     void SetMldParameters(std::size_t nbrApInfoId,
                           std::size_t index,
-                          uint8_t mldId,
-                          uint8_t linkId,
-                          uint8_t changeSequence);
+                          const MldParameters& mldParams);
     /**
      * Return true if the MLD Parameters subfield is present in all the TBTT Information fields
      * of the given Neighbor AP Information field.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \return true if the MLD Parameters subfield is present
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @return true if the MLD Parameters subfield is present
      */
     bool HasMldParameters(std::size_t nbrApInfoId) const;
     /**
-     * Get the MLD ID value in the MLD Parameters subfield (must be present) in the
-     * <i>i</i>-th TBTT Information field of the given Neighbor AP Information field.
-     *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \param index the index of the given TBTT Information field
-     * \return the MLD ID value
-     */
-    uint8_t GetMldId(std::size_t nbrApInfoId, std::size_t index) const;
-    /**
-     * Get the Link ID value in the MLD Parameters subfield (must be present) in the
-     * <i>i</i>-th TBTT Information field of the given Neighbor AP Information field.
+     * Get the MLD Parameters subfield (must be present) in the <i>i</i>-th TBTT Information field
+     * of the given Neighbor AP Information field.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \param index the index of the given TBTT Information field
-     * \return the Link ID value
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param index the index of the given TBTT Information field
+     * @return the MLD parameters
      */
-    uint8_t GetLinkId(std::size_t nbrApInfoId, std::size_t index) const;
+    const MldParameters& GetMldParameters(std::size_t nbrApInfoId, std::size_t index) const;
 
   private:
     /**
@@ -295,14 +284,14 @@
      * we can set the TBTT Information Count field based on the number of TBTT Information
      * fields included in the given Neighbor AP Information field.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
      */
     void WriteTbttInformationCount(std::size_t nbrApInfoId) const;
     /**
      * Get the TBTT Information Count field of the given Neighbor AP Information field.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
-     * \return the TBTT Information Count
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @return the TBTT Information Count
      */
     uint8_t ReadTbttInformationCount(std::size_t nbrApInfoId) const;
 
@@ -315,14 +304,14 @@
      * we can set the TBTT Information Length field based on the TBTT Information
      * field contents.
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
      */
     void WriteTbttInformationLength(std::size_t nbrApInfoId) const;
     /**
      * Use the TBTT Information Length field of the given Neighbor AP Information field
      * to set the xxxPresent flags of the NeighborApInformation struct
      *
-     * \param nbrApInfoId identifier of the given Neighbor AP Information field
+     * @param nbrApInfoId identifier of the given Neighbor AP Information field
      */
     void ReadTbttInformationLength(std::size_t nbrApInfoId);
 
